import 'package:flutter/material.dart';
import 'package:get/get.dart';

class DictationInputDialog extends StatefulWidget {
  final Function(String? result) onResult;

  const DictationInputDialog({
    Key? key,
    required this.onResult,
  }) : super(key: key);

  @override
  State<DictationInputDialog> createState() => _DictationInputDialogState();
}

class _DictationInputDialogState extends State<DictationInputDialog> {
  final TextEditingController textEditingController = TextEditingController();
  final FocusNode focusNode = FocusNode();

  @override
  Widget build(BuildContext context) {
    return Dialog(
      insetPadding: EdgeInsets.zero,
      child: Container(
        width: 350,
        height: 250,
        padding: const EdgeInsets.all(10),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: [
            const Text(
              "Input Text",
              style: TextStyle(
                color: Colors.blue,
                fontWeight: FontWeight.w600,
                fontSize: 24,
              ),
            ),
            TextField(
              controller: textEditingController,
              decoration: InputDecoration(
                labelText: "Text",
                border: OutlineInputBorder(borderRadius: BorderRadius.circular(10)),
                enabledBorder: OutlineInputBorder(borderRadius: BorderRadius.circular(10)),
                focusedBorder: OutlineInputBorder(borderRadius: BorderRadius.circular(10)),
              ),
              autofocus: true,
              focusNode: focusNode,
            ),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceEvenly,
              children: [
                GestureDetector(
                  onTap: () {
                    widget.onResult(null);
                    Navigator.of(context).pop();
                  },
                  child: Container(
                    width: 100,
                    height: 50,
                    decoration: BoxDecoration(borderRadius: BorderRadius.circular(10), color: const Color(0xFF0A65B6)),
                    child: const Center(
                      child: Text(
                        "Cancel",
                        style: TextStyle(
                          fontSize: 18,
                          fontWeight: FontWeight.bold,
                          color: Colors.white,
                        ),
                        textAlign: TextAlign.center,
                      ),
                    ),
                  ),
                ),
                GestureDetector(
                  onTap: () {
                    widget.onResult(textEditingController.text);
                    Get.back();
                  },
                  child: Container(
                    width: 100,
                    height: 50,
                    decoration: BoxDecoration(borderRadius: BorderRadius.circular(10), color: const Color(0xFF0A65B6)),
                    child: const Center(
                      child: Text(
                        "Confirm",
                        style: TextStyle(
                          fontSize: 18,
                          fontWeight: FontWeight.bold,
                          color: Colors.white,
                        ),
                        textAlign: TextAlign.center,
                      ),
                    ),
                  ),
                ),
              ],
            )
          ],
        ),
      ),
    );
  }
}
